curl --request PATCH \
--url https://api.devic.ai/v1/assistants/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"presets": "<string>",
"model": "<string>",
"provider": "<string>",
"imgUrl": "<string>",
"availableToolsGroupsUids": [
"<string>"
],
"enabledTools": [
"<string>"
],
"accessConfiguration": {
"externalAccess": true,
"visibilityByRole": [
"<string>"
]
},
"widgetConfiguration": {
"enabled": true,
"sourcesWhiteList": [
"<string>"
],
"color": "<string>",
"welcomeMessage": "<string>"
},
"memoryDocuments": [
{}
],
"structuredOutput": {},
"guardrailsConfiguration": {
"enabled": true,
"guardrails": {}
},
"codeSnippetIds": [
"<string>"
],
"availableSkillIds": [
"<string>"
],
"subagentsIds": [
"<string>"
],
"maxChatMessages": 123,
"maxToolResponseInputTokens": 123,
"contextManagement": {
"fullContextTurnDepth": 123,
"alwaysIncludeUserMessages": true
}
}
'import requests
url = "https://api.devic.ai/v1/assistants/{identifier}"
payload = {
"name": "<string>",
"description": "<string>",
"presets": "<string>",
"model": "<string>",
"provider": "<string>",
"imgUrl": "<string>",
"availableToolsGroupsUids": ["<string>"],
"enabledTools": ["<string>"],
"accessConfiguration": {
"externalAccess": True,
"visibilityByRole": ["<string>"]
},
"widgetConfiguration": {
"enabled": True,
"sourcesWhiteList": ["<string>"],
"color": "<string>",
"welcomeMessage": "<string>"
},
"memoryDocuments": [{}],
"structuredOutput": {},
"guardrailsConfiguration": {
"enabled": True,
"guardrails": {}
},
"codeSnippetIds": ["<string>"],
"availableSkillIds": ["<string>"],
"subagentsIds": ["<string>"],
"maxChatMessages": 123,
"maxToolResponseInputTokens": 123,
"contextManagement": {
"fullContextTurnDepth": 123,
"alwaysIncludeUserMessages": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
presets: '<string>',
model: '<string>',
provider: '<string>',
imgUrl: '<string>',
availableToolsGroupsUids: ['<string>'],
enabledTools: ['<string>'],
accessConfiguration: {externalAccess: true, visibilityByRole: ['<string>']},
widgetConfiguration: {
enabled: true,
sourcesWhiteList: ['<string>'],
color: '<string>',
welcomeMessage: '<string>'
},
memoryDocuments: [{}],
structuredOutput: {},
guardrailsConfiguration: {enabled: true, guardrails: {}},
codeSnippetIds: ['<string>'],
availableSkillIds: ['<string>'],
subagentsIds: ['<string>'],
maxChatMessages: 123,
maxToolResponseInputTokens: 123,
contextManagement: {fullContextTurnDepth: 123, alwaysIncludeUserMessages: true}
})
};
fetch('https://api.devic.ai/v1/assistants/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"identifier": "<string>",
"name": "<string>",
"description": "<string>",
"presets": "<string>",
"model": "<string>",
"provider": "<string>",
"imgUrl": "<string>",
"state": "<string>",
"availableToolsGroupsUids": [
"<string>"
],
"enabledTools": [
"<string>"
],
"accessConfiguration": {},
"widgetConfiguration": {},
"memoryDocuments": [
{}
],
"structuredOutput": {},
"guardrailsConfiguration": {},
"codeSnippetIds": [
"<string>"
],
"availableSkillIds": [
"<string>"
],
"subagentsIds": [
"<string>"
],
"maxChatMessages": 123,
"maxToolResponseInputTokens": 123,
"contextManagement": {
"fullContextTurnDepth": 123,
"alwaysIncludeUserMessages": true
},
"creationTimestampMs": 123,
"lastEditTimestampMs": 123
}Update an assistant
Updates an existing assistant with the provided data. Supports partial updates.
Authorizations
Use JWT token for authentication
Path Parameters
The unique identifier of the assistant to update
Body
Assistant name
Assistant description
System prompt / instructions
Default LLM model
Default LLM provider
Image URL for the assistant
Assistant state
active, inactive, coming_soon Tool group UIDs
Enabled tool names
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Context depth control: summarize older turns to reduce the token footprint sent to the model.
Show child attributes
Show child attributes
Response
Assistant updated successfully
Assistant ID
Unique identifier
Assistant name
Assistant description
System prompt / instructions
Default LLM model
Default LLM provider
Image URL
Assistant state
Context depth control: summarize older turns to reduce the token footprint sent to the model.
Show child attributes
Show child attributes
Creation timestamp in milliseconds
Last edit timestamp in milliseconds